ONVIF::Media::Elements::SetVideoAnalyticsConfiguration(3)

NAME
ONVIF::Media::Elements::SetVideoAnalyticsConfiguration

DESCRIPTION
Perl data type class for the XML Schema defined element SetVideoAnalyticsConfiguration from the namespace http://www.onvif.org/ver10/media/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Configuration

     $element->set_Configuration($data);
     $element->get_Configuration();

•   ForcePersistence

     $element->set_ForcePersistence($data);
     $element->get_ForcePersistence();

METHODS

  new
 my $element = ONVIF::Media::Elements::SetVideoAnalyticsConfiguration->new($data);

Constructor. The following data structure may be passed to new():

 {
   Configuration =>  { # ONVIF::Media::Types::VideoAnalyticsConfiguration
     AnalyticsEngineConfiguration =>  { # ONVIF::Media::Types::AnalyticsEngineConfiguration
       AnalyticsModule =>  { # ONVIF::Media::Types::Config
         Parameters =>  { # ONVIF::Media::Types::ItemList
           SimpleItem => ,
           ElementItem =>  {
           },
           Extension =>  { # ONVIF::Media::Types::ItemListExtension
           },
         },
       },
       Extension =>  { # ONVIF::Media::Types::AnalyticsEngineConfigurationExtension
       },
     },
     RuleEngineConfiguration =>  { # ONVIF::Media::Types::RuleEngineConfiguration
       Rule =>  { # ONVIF::Media::Types::Config
         Parameters =>  { # ONVIF::Media::Types::ItemList
           SimpleItem => ,
           ElementItem =>  {
           },
           Extension =>  { # ONVIF::Media::Types::ItemListExtension
           },
         },
       },
       Extension =>  { # ONVIF::Media::Types::RuleEngineConfigurationExtension
       },
     },
   },
   ForcePersistence =>  $some_value, # boolean
 },

AUTHOR
Generated by SOAP::WSDL